package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcDy;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 抖音Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcDyService 
{
    /**
     * 查询抖音
     * 
     * @param id 抖音主键
     * @return 抖音
     */
    public TcDy selectTcDyById(Long id);

    /**
     * 查询抖音列表
     * 
     * @param tcDy 抖音
     * @return 抖音集合
     */
    public List<TcDy> selectTcDyList(TcDy tcDy);

    /**
     * 新增抖音
     * 
     * @param tcDy 抖音
     * @return 结果
     */
    public int insertTcDy(TcDy tcDy);

    /**
     * 修改抖音
     * 
     * @param tcDy 抖音
     * @return 结果
     */
    public int updateTcDy(TcDy tcDy);

    /**
     * 批量删除抖音
     * 
     * @param ids 需要删除的抖音主键集合
     * @return 结果
     */
    public int deleteTcDyByIds(Long[] ids);

    /**
     * 删除抖音信息
     * 
     * @param id 抖音主键
     * @return 结果
     */
    public int deleteTcDyById(Long id);


    /**
     * 导入抖音信息
     *
     * @return 结果
     */
    public String importUser(List<TcDy> tcDyList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
